import 'package:flutter/material.dart';

class ItRate extends StatefulWidget {
  ItRate({Key key, this.rate, this.mainAxisAlignment = MainAxisAlignment.start})
      : assert(rate != null && rate >= 0),
        super(key: key);
  final int rate;
  final MainAxisAlignment mainAxisAlignment;

  @override
  _ItRateState createState() => _ItRateState();
}

class _ItRateState extends State<ItRate> {
  @override
  Widget build(BuildContext context) {
    List<Widget> list = <Widget>[];
    bool half = true;
    for (int j = 1; j < 10; j += 2) {
      if (widget.rate > j) {
        list.add(Icon(Icons.star, size: 19, color: Color(0xFF004d66)));
      } else {
        if (widget.rate % 2 != 0 && half) {
          list.add(Icon(Icons.star_half, size: 19, color: Color(0xFF004d66)));
          half = false;
        } else {
          list.add(Icon(Icons.star_border, size: 19, color: Color(0xFF004d66)));
        }
      }
    }

    return Row(
        crossAxisAlignment: CrossAxisAlignment.center,
        mainAxisAlignment: widget.mainAxisAlignment,
        children: list);
  }
}
